Opened 9 years ago

Closed 9 years ago

#32586 closed defect (wontfix)

Atmel AVR crosstools update (atmel patchset)

Reported by: jerkejacobs@… Owned by: macports-tickets@…
Priority: Normal Milestone:
Component: ports Version: 2.0.3
Keywords: avr atmel crosstool embedded toolchain Cc: snc
Port: avr-gcc avr-binutils avr-libc

Description

Dear all,

I finaly managed to upgrade the macports avr-(binutils|gcc|libc) crosstools. The only problem is the libc to integrate the patches for libc-1.7.1 so I attached them but they wont be applied to the libc-1.7.2 trunk.

I applied all the stuff to update the binutils/gcc/libc to the atmel avrstudio version patches over here: http://distribute.atmel.no/tools/opensource/avr-gcc/

Attachments (1)

avr-cross.zip (161.3 KB) - added by jerkejacobs@… 9 years ago.
The three ports to update the avr-gcc toolchain

Download all attachments as: .zip

Change History (3)

Changed 9 years ago by jerkejacobs@…

Attachment: avr-cross.zip added

The three ports to update the avr-gcc toolchain

comment:1 Changed 9 years ago by jerkejacobs@…

This also updates ticket #17524

comment:2 Changed 9 years ago by titus@…

Resolution: wontfix
Status: newclosed

I'm trying to clean up the avr-crosstools ticket hell.

I'm closing this ticket in favour of #33107 and #33201

Please reopen and complain soon if anything is wrong with updating the avr toolchain to the software versions of the new tickets.

If upgrading to gcc 4.6.2 and binutils 2.22 is - generally spoken - ok, please help testing the patches in these tickets, since I myself am using this stuff only with an m8515.

Note: See TracTickets for help on using tickets.